com.saxonica.functions.extfn

## Class EXPathFile

- java.lang.Object
- - com.saxonica.functions.extfn.EXPathFile

-     public class EXPathFile
      extends Object

  Implementation of extension functions in the EXPath File package, see http://expath.org/spec/file

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ERROR_NAMESPACE`
    `static String` | `NAMESPACE`
    `static String` | `NEWLINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EXPathFile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `append(XPathContext context, String file, Sequence contents)`
    `static void` | `append(XPathContext context, String file, Sequence contents, NodeInfo params)`
    `static void` | `appendBinary(String path, Base64BinaryValue[] contents)`
    `static void` | `appendText(String path, String contents)`
    `static void` | `appendText(String path, String contents, String encoding)`
    `static void` | `appendTextLines(String path, String[] contents)`
    `static void` | `appendTextLines(String path, String[] contents, String encoding)`
    `static String` | `baseName(String path)`
    `static String` | `baseName(String path, String suffix)`
    `static void` | `copy(String source, String target)`
    `static void` | `createDir(String dir)`
    `static void` | `delete(String path)`
    `static void` | `delete(String path, boolean recurse)`
    `static String` | `dirName(String path)`
    `static String` | `dirSeparator()`
    `static boolean` | `exists(String path)`
    `static boolean` | `isDir(String path)`
    `static boolean` | `isFile(String path)`
    `static DateTimeValue` | `lastModified(String path)`
    `static String` | `lineSeparator()`
    `static List<String>` | `list(String dir)`
    `static List<String>` | `list(String dir, boolean recursive)`
    `static List<String>` | `list(String dir, boolean recursive, String pattern)`
    `static void` | `move(String source, String target)`
    `static String` | `pathSeparator()`
    `static String` | `pathToNative(String path)`
    `static AnyURIValue` | `pathToUri(String path)`
    `static Base64BinaryValue` | `readBinary(String path)`
    `static String` | `readText(XPathContext context, String file)`
    `static String` | `readText(XPathContext context, String path, String encoding)`
    `static SequenceIterator` | `readTextLines(String path)`
    `static SequenceIterator` | `readTextLines(String path, String encoding)`
    `static String` | `resolvePath(String path)`
    `static long` | `size(String path)`
    `static void` | `write(XPathContext context, String file, Sequence contents)`
    `static void` | `write(XPathContext context, String file, Sequence contents, NodeInfo params)`
    `static void` | `writeBinary(String path, Base64BinaryValue contents)`
    `static void` | `writeText(String path, String contents)`
    `static void` | `writeText(String path, String contents, String encoding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

    - #### ERROR_NAMESPACE

          public static final String ERROR_NAMESPACE

      See Also:
        Constant Field Values

    - #### NEWLINE

          public static final String NEWLINE

  - ### Constructor Detail

    - #### EXPathFile

          public EXPathFile()

  - ### Method Detail

    - #### exists

          public static boolean exists(String path)

    - #### isDir

          public static boolean isDir(String path)

    - #### isFile

          public static boolean isFile(String path)

    - #### lastModified

          public static DateTimeValue lastModified(String path)
                                            throws XPathException

      Throws:
        `XPathException`

    - #### size

          public static long size(String path)
                           throws XPathException

      Throws:
        `XPathException`

    - #### append

          public static void append(XPathContext context,
                    String file,
                    Sequence contents)
                             throws XPathException

      Throws:
        `XPathException`

    - #### append

          public static void append(XPathContext context,
                    String file,
                    Sequence contents,
                    NodeInfo params)
                             throws XPathException

      Throws:
        `XPathException`

    - #### appendText

          public static void appendText(String path,
                        String contents)
                                 throws XPathException

      Throws:
        `XPathException`

    - #### appendText

          public static void appendText(String path,
                        String contents,
                        String encoding)
                                 throws XPathException

      Throws:
        `XPathException`

    - #### appendTextLines

          public static void appendTextLines(String path,
                             String[] contents)
                                      throws XPathException

      Throws:
        `XPathException`

    - #### appendTextLines

          public static void appendTextLines(String path,
                             String[] contents,
                             String encoding)
                                      throws XPathException

      Throws:
        `XPathException`

    - #### appendBinary

          public static void appendBinary(String path,
                          Base64BinaryValue[] contents)
                                   throws XPathException

      Throws:
        `XPathException`

    - #### copy

          public static void copy(String source,
                  String target)
                           throws XPathException

      Throws:
        `XPathException`

    - #### createDir

          public static void createDir(String dir)
                                throws XPathException

      Throws:
        `XPathException`

    - #### delete

          public static void delete(String path)
                             throws XPathException

      Throws:
        `XPathException`

    - #### delete

          public static void delete(String path,
                    boolean recurse)
                             throws XPathException

      Throws:
        `XPathException`

    - #### list

          public static List<String> list(String dir)
                                   throws XPathException

      Throws:
        `XPathException`

    - #### list

          public static List<String> list(String dir,
                          boolean recursive)
                                   throws XPathException

      Throws:
        `XPathException`

    - #### list

          public static List<String> list(String dir,
                          boolean recursive,
                          String pattern)
                                   throws XPathException

      Throws:
        `XPathException`

    - #### move

          public static void move(String source,
                  String target)
                           throws XPathException

      Throws:
        `XPathException`

    - #### readBinary

          public static Base64BinaryValue readBinary(String path)
                                              throws XPathException

      Throws:
        `XPathException`

    - #### readText

          public static String readText(XPathContext context,
                        String file)
                                 throws XPathException

      Throws:
        `XPathException`

    - #### readText

          public static String readText(XPathContext context,
                        String path,
                        String encoding)
                                 throws XPathException

      Throws:
        `XPathException`

    - #### readTextLines

          public static SequenceIterator readTextLines(String path)
                                                throws XPathException

      Throws:
        `XPathException`

    - #### readTextLines

          public static SequenceIterator readTextLines(String path,
                                       String encoding)
                                                throws XPathException

      Throws:
        `XPathException`

    - #### write

          public static void write(XPathContext context,
                   String file,
                   Sequence contents)
                            throws XPathException

      Throws:
        `XPathException`

    - #### write

          public static void write(XPathContext context,
                   String file,
                   Sequence contents,
                   NodeInfo params)
                            throws XPathException

      Throws:
        `XPathException`

    - #### writeText

          public static void writeText(String path,
                       String contents)
                                throws XPathException

      Throws:
        `XPathException`

    - #### writeText

          public static void writeText(String path,
                       String contents,
                       String encoding)
                                throws XPathException

      Throws:
        `XPathException`

    - #### writeBinary

          public static void writeBinary(String path,
                         Base64BinaryValue contents)
                                  throws XPathException

      Throws:
        `XPathException`

    - #### baseName

          public static String baseName(String path)

    - #### baseName

          public static String baseName(String path,
                        String suffix)

    - #### dirName

          public static String dirName(String path)

    - #### pathToNative

          public static String pathToNative(String path)
                                     throws XPathException

      Throws:
        `XPathException`

    - #### pathToUri

          public static AnyURIValue pathToUri(String path)

    - #### resolvePath

          public static String resolvePath(String path)

    - #### dirSeparator

          public static String dirSeparator()

    - #### pathSeparator

          public static String pathSeparator()

    - #### lineSeparator

          public static String lineSeparator()

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.